/*
 ============================================================================
 Name        : Theremino_Slots_C_Linux.c
 Author      : 
 Version     :
 Copyright   : Your copyright notice
 Description : Theremino_Slots_C_Linux in C, Ansi-style
 ============================================================================
 */

#include <stdio.h>
#include <stdlib.h>
#include "ThereminoSlots.h"

int main(void)
{
	float f0 = -123.4;
	float f1 = 456.7;

	the_slot_init();

	printf("\n----------------------------------------");

	printf("\nSLOT_0 read\n");
	f0 = the_slot_read(0);
	printf("\nValue of SLOT_0: %f\n\n", f0);

	printf("\nSLOT_0 written with the value -123.4\n\n");
	f0 = -123.4;
	the_slot_write(0, f0);

	printf("\nSLOT_0 read\n");
	f0 = the_slot_read(0);
	printf("\nValue of SLOT_0: %f\n\n", f0);

	printf("\n----------------------------------------");

	printf("\nSLOT_1 read\n");
	f1 = the_slot_read(1);
	printf("\nValue of SLOT_1: %f\n\n", f1);

	printf("\nSLOT_1 written with SLOT_0 value * 1000\n\n");
	the_slot_write(1, f0 * 1000.0);

	printf("\nSLOT_1 read\n");
	f1 = the_slot_read(1);
	printf("\nValue of SLOT_1: %f\n\n\n\n", f1);

	the_slot_write(0, 111);
	the_slot_write(1, 777);
	the_slot_exit();

	return EXIT_SUCCESS;
}

