# Theremino System  -  theremino_test.py  -  www.theremino.com
# Tested with Python 2.7.3 in Windows and Linux.

import sys
import time

time.sleep(1)

from module_theremino import Theremino

time.sleep(1)

if Theremino.is_windows():
   import msvcrt
else:
   import curses
   window = curses.initscr()
   window.nodelay(1)

def loop_body():
   value = Theremino.read_slot_no_nan_0_1000(3)
   print value,
   sys.stdout.flush()
   time.sleep(0.05)
   value += 0.5
   Theremino.write_slot(3, value)
   time.sleep(0.05)
   
print
print
print('Reading and writing slot 3. Press any key to exit.')
print
print
sys.stdout.flush()
time.sleep(2)

Theremino.fill_with_nan_sleep()
time.sleep(2)

Theremino.write_slot(0, 777.77)
Theremino.write_slot(1, 111.0)
Theremino.write_slot(2, 222.0)
Theremino.write_slot(3, 123.0)

if Theremino.is_windows():
   while not msvcrt.kbhit():      # wait for a key press
      loop_body()
else:
   ch = -1
   while (ch < 0):      # wait for a key press
      loop_body()
      ch = window.getch()

Theremino.slot_exit()
print
print
print('After the slot_exit.')
print
print
sys.stdout.flush()
time.sleep(2)



